import request from '@/utils/request'
import Qs from 'qs'

// 查询园区公告列表
export const announcementList = (data) => {
  return request({
    url: '/system/announcement/selectAnnouncementByPagination',
    method: 'get',
    params: data
  })
}
/** 根据id查询公告信息详情**/
export function queryannounceDetailById(id) {
  return request({
    url: '/system/announcement/detail/' + id,
    method: 'get'
  })
}

// 新增园区公告
export const announcementadd = (data) => {
  return request({
    url: '/system/announcement/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
// 编辑园区公告
export const announcementupdate = (data) => {
  return request({
    url: '/system/announcement/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 删除园区公告
export const announcementdel = (id) => {
  return request({
    url: '/system/announcement/deleteByIds',
    method: 'delete',
    params: id,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 发布
export const announcementpublish = (data) => {
  return request({
    url: '/system/announcement/pushAnnouncement',
    method: 'put',
    params: data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

